<?php
  /**
 * This file is part of a project maintained at  NC State University.
 *
 * More information is included in the project README.md.
 *
 * (c) NC State University
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace NCSU\Auth\Tests\Stubs;

use NCSU\Auth\Adapter\AdapterInterface;

class AdapterStub implements AdapterInterface
{

    /**
     * Attempts to authenticate.
     *
     * @return \NCSU\Auth\AuthResult
     */
    public function authenticate()
    {
    }

    /**
     * Returns true if user is authenticated, false otherwise
     *
     * @return bool
     */
    public function isAuthenticated()
    {
    }
}